import java.util.function.*;

/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
public class ValidaceHesla
{
     public static void main(String[] args) {
  
        Predicate<String> delka = (n) -> n.length()>=8;
        Predicate<String> cisla = (x) -> x.matches(".*\\d+.*");
        Predicate<String> znaky = (j) -> j.matches(".*[*,+,§]+.*");
        Predicate<String> pismena = (p) -> p.matches(".*[A-Za-z]+.*");
        Predicate<String> vysledek = (delka.and(cisla.and(znaky))).and(pismena);
        
        System.out.println(vysledek.test("A123b123§"));
    }
}
